# FFXIVScraper

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/ffxiv_scraper`. To experiment with that code, run `bin/console` for an interactive prompt.


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ffxiv_scraper'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ffxiv_scraper

## Usage

ファイナルファンタジーXIVの公式サイト(Lodestone)をスクレイピングし、情報を取得するためのライブラリです。

#### ニュースの取得
指定したニュースを取得します。  

* お知らせ
* メンテナンス
* アップデート
* 障害情報

```ruby
news = FFXIVScraper::Lodestone::News.new(:notice)  
news = FFXIVScraper::Lodestone::News.new(:maintenance)  
news = FFXIVScraper::Lodestone::News.new(:update)  
news = FFXIVScraper::Lodestone::News.new(:status)  
list = news.news_list # get a news list  
```

```ruby
list.created_at # =>　ニュースの作成日時
list.title # => タイトル
list.detail_path # => 詳細ページのパス
list.tag # => タグ

detail = list.detail # => 詳細取得
detail.text # => ニュース本文
detail.next_path # => 次のページのパス
detail.prev_path # => 前のページのパス
detail.relationships # => 関連しているニュース

detail.detail_prev # => 前のページのニュースを取得
detail.detail_next # => 次のページのニュースを取得
```

#### ワールド稼働状況取得
ワールドの稼働状況を取得します。

```ruby
world_status = FFXIVScraper::Lodestone::WorldStatus.new

status = world_status.get_status("ifrit") # => ワールドの稼働状況取得
status.dc # => データセンター名
status.world # => ワールド名
status.status # => 稼働状況

world_status.get_dc_statuses("gaia") # => DCのワールドの稼働状況取得
```


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/ffxiv_scraper.
